Bug 1652606 (CVE-2018-19217) - CVE-2018-19217 ncurses: Null pointer dereference at function _nc_name_match
Summary: CVE-2018-19217 ncurses: Null pointer dereference at function _nc_name_match
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-19217
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1652607
Blocks: 1652608
TreeView+ depends on / blocked
 
Reported: 2018-11-22 13:11 UTC by Pedro Sampaio
Modified: 2019-09-29 15:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 06:41:53 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-11-22 13:11:18 UTC
In ncurses 6.1, there is a NULL pointer dereference at the function _nc_name_match that will lead to a denial of service attack.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=1643753

Comment 1 Pedro Sampaio 2018-11-22 13:11:44 UTC
Created ncurses tracking bugs for this issue:

Affects: fedora-all [bug 1652607]

Comment 2 Huzaifa S. Sidhpurwala 2018-11-27 06:48:34 UTC
Given that it does not seem easily reproducible and could very well be a crash due to crafted input values, it is more appropriate to wontfix this.


Note You need to log in before you can comment on or make changes to this bug.